# getLeaderSchedule

Returns the leader schedule for an epoch.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `u64` string *optional*. Fetchs the leader schedule for the epoch that corresponds to the provided slot. If unspecified, the leader schedule for the current epoch is fetched.
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
      * `confirmed` string.
        * The node will query the most recent block that has been voted on by the supermajority of the cluster.
      * `processed` string.
        * The node will query its most recent block. Note that the block may not be complete.
  * `identity` string. Only returns the results for this validator identity encoded as base-58.

## Returns

`result` Null if the requested epoch is not found otherwise the result field will be a dictionary of validator identities, as base-58 encoded strings, and their corresponding leader slot indices as values (indices are relative to the first slot in the requested epoch)

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"138KHwTqKNWGLoo8fK5i8UxYtwoC5tC8o7M9rY1CDEjT": [
			120416,
			120417,
			120418,
			120419,
			195840,
			195841,
			195842,
			195843,
			...
		],
		"13cm6z7ajighVFYN1aR2hPQ3Rhp4QJenDbHGRmps9P1n": [
			213272,
			213273,
			...
		],
		...
		]
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getLeaderSchedule"}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getLeaderSchedule"}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getleaderschedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
